Subject: Re: [PATCH] t5551: "GIT_TEST_LONG=Yes make test" is broken

From: Jeff King <[email-masked]>
Date: Fri, 8 May 2026 10:03:55 -0400

On Fri, May 08, 2026 at 02:31:03PM +0900, Junio C Hamano wrote:

> The "test_expect_success 'tag following always works over v0 http'"
> test in t5551 fails when it tries to run "git init tags", but this
> happens only when EXPENSIVE test is allowed to run.  
> 
> This is because the step tries to create a repository with "git init
> tags" but the EXPENSIVE test that runs way before it creates and
> leaves around a temporary file "tags".  Have the EXPENSIVE test
> clean it up after itself.

I wondered how and when this broke, but it looks like it has been since
2024 when the later v0 test was added. And it looks like I am the
culprit for both the EXPENSIVE test adding the "tags" file and the v0
test assuming the path is available. :)

Anyway, this seems like the obviously correct solution.

-Peff